<?php
/**
 * SMF Arcade
 *
 * @package SMF Arcade
 * @version 2.6
 * @license https://web-develop.ca/index.php?page=arcade_license_BSD2 BSD 2
 */

defined('SMF') OR exit('<b>Hacking attempt...</b>');

global $boarddir, $settings;

// for people that do not have the appropriate web server directory settings...
if (!is_dir($boarddir . '/arcade'))
{
	mkdir($boarddir . '/arcade', 0755);
	mkdir($boarddir . '/arcade/gamedata', 0755);
}

if (!is_dir($boarddir . '/ArcadeSources'))
	mkdir($boarddir . '/ArcadeSources', 0755);

if (!is_dir($settings['default_theme_dir'] . '/images/arc_icons'))
	mkdir($settings['default_theme_dir'] . '/images/arc_icons', 0755);

if (!is_dir($boarddir . '/games_download')) {
	mkdir($boarddir . '/arcade_download', 0755);
	if (file_exists($settings['default_theme_dir'] . '/arcade_scripts/index.php')) {
		@copy($settings['default_theme_dir'] . '/arcade_scripts/index.php', $boarddir . '/arcade_upload/index.php');
		@chmod($boarddir . '/arcade_upload/index.php', 0666);
	}
}

if (!is_dir($boarddir . '/games_upload')) {
	mkdir($boarddir . '/arcade_upload', 0755);
	if (file_exists($settings['default_theme_dir'] . '/arcade_scripts/index.php')) {
		@copy($settings['default_theme_dir'] . '/arcade_scripts/index.php', $boarddir . '/arcade_upload/index.php');
		@chmod($boarddir . '/arcade_upload/index.php', 0666);
	}
}

?>